# cycler with different colors
colorcycler = Utils.cycle "#28AFFA","#F8B000","#877DD7","#7DDD11"

# bouncier default animation
Framer.Defaults.Animation = curve: "spring(400, 30)"


layerA = new Layer
	size: 350
	borderRadius: 13
	backgroundColor: colorcycler()
	point: Align.center
	scale: 0.72


layerA.onTap ->
	this.backgroundColor = colorcycler()


layerA.onDoubleTap ->
	if this.scale is 1
		this.animate
			scale: .72
	else
		this.animate
			scale: 1
